# Changelog

## 1.1.6
- fix(gatsby-theme-platformos-docskit): Cache site & navigation data in createPages and add it to pageContext for every page in onCreatePage

## 1.1.5
- fix(gatsby-theme-platformos-docskit): rewrite static queries and use pageContext

## 1.1.4 
- fix(gatsby-theme-platformos-docskit): fix `pos-fix-remark-path-prefix-plugin`

## 1.1.3
Fixes
- fix(gatsby-theme-platformos-docskit): fix theme provider layout for 404 page
- fix(gatsby-theme-platformos-docskit): image optimization and srcset sizes for perf
- fix(gatsby-theme-platformos-docskit): Added `pos-fix-remark-path-prefix-plugin`
- minor adjustments

This version contains a temporary fix for https://github.com/gatsbyjs/gatsby/issues/38362 which breaks all root-relative MDX links if there is an assetPrefix set for the site.
The fix is a local remark plugin (`/plugins/pos-fix-remark-path-prefix-plugin`) that restores root-relative links by removing the assetPrefix from the link href.  
This fix needs the `basePath` config for `gatsby-theme-platformos-docskit`. 
If you have a `pathPrefix` set in your gatsby-config.js then you should set the same value for the `basePath` option in the DocsKit plugin config (eg.: `"/blog"`).

## 1.1.2

Minor fixes and improvements  
- fix(gatsby-theme-platformos-docskit): message component content flex issue
- fix(gatsby-theme-platformos-docskit): prismjs theme for a11y; removed syntax highlight from inline code; added line number support
- fix(gatsby-theme-platformos-docskit): word-break fix in breadcrumb
- fix(gatsby-theme-platformos-docskit): fix mobile nav breakpoints
- misc: project structure update
