import React from 'react';
/**
 * tailwind
 * 'sm:grid-cols-2 sm:grid-cols-3 sm:grid-cols-4 sm:grid-cols-5 sm:grid-cols-6'
*/
const Grid = ({
  children,
  className = '',
  cols = '2'
}) => (<div className={`grid gap-y-2 grid-cols-1 mb-8 sm:grid-cols-${cols} gap-2 ${className}`}>{children}</div>);

export default Grid;
